<?php

// if options are modified
if ($_GET['action'] == 'edit')
{
    // get the modified data
    $conf['size']     = $_POST['FlickrImport_size'];
    $conf['comments'] = $_POST['FlickrImport_comments'];
    $conf['html']     = $_POST['FlickrImport_html'];
}

// prepare image size option
$sizeThumbs     = $sizeSquare  = $sizePixel = '';
$commentsYesPub = $commentsYes = $commentsNo = '';
$htmlYes        = $htmlNo      = '';

switch ($conf['size'])
{
    case 'thumbs' : $sizeThumbs = ' checked="checked"'; break;
    case 'square' : $sizeSquare = ' checked="checked"'; break;
    case 'pixel'  : $sizePixel  = ' checked="checked"'; break;
    default :       $sizeThumbs = ' checked="checked"'; $conf['size'] = 'thumbs'; break;
}

switch ($conf['comments'])
{
    case 'yes-publish' : $commentsYesPub = ' checked="checked"'; break;
    case 'yes' :         $commentsYes    = ' checked="checked"'; break;
    case 'no'  :         $commentsNo     = ' checked="checked"'; break;
    default    :         $commentsYes    = ' checked="checked"'; $conf['comments'] = 'yes'; break;
}

switch ($conf['html'])
{
    case 'yes' : $htmlYes = ' checked="checked"'; break;
    case 'no'  : $htmlNo  = ' checked="checked"'; break;
    default :    $htmlYes = ' checked="checked"'; $conf['html'] = 'no'; break;
}

// if options are modified and now filtered
if ($_GET['action'] == 'edit')
{
    // update the options
    if (FlickrImport::setOptions($conf))
        $eMessage = '<p style="color:green;font-weight:bold;">Options are updated !</p>';
    else
        $eMessage = '<p style="color:red;font-weight:bold;">Update Failed !</p>';

    // if no photosets are selected
    if (!isset($_POST['FlickrImport_photosets'])) $_POST['FlickrImport_photosets'] = array();

    // update the photoset to sync
    FlickrImport::updateSyncPhotoset($_POST['FlickrImport_photosets']);
}

// get the user info
try
{
    $user = new Phlickr_User($api, $api->getUserId());

    $infoMessage = '<p>Connected to the account : <a href="' . $user->buildUrl() . '">' . $user->getRealname() . '</a></p>';
}
catch(Exception $e)
{
    $infoMessage = '<p style="color:red; font-weight:bold">Fail to connect at ' . $api->getUserId() . ' this user doesn\'t exist !</p>';
}

// load the photoset to sync
$sync = FlickrImport::getSyncPhotoset();

?>

<div id="submenu">
    <div class="jcaption">Account</div>
    <div class="content">
        <?php echo $infoMessage; ?>
    </div>
</div>

<div id="submenu">
    <div class="jcaption">Options</div>
    <div class="content">
        <?php echo $eMessage; ?>
        <form method="post" action="<?php echo $baseUrl; ?>&amp;action=edit" accept-charset="UTF-8">

            <p>Choose the Thumbnails model:</p>
            <p>
                <input type="radio" name="FlickrImport_size" value="thumbs"<?php echo $sizeThumbs; ?> />
                Use Flickr Thumbnails - 100px on longer side
                <br />
                <input type="radio" name="FlickrImport_size" value="square"<?php echo $sizeSquare; ?> />
                Use Flickr Square - 75px cropped image
                <br />
                <input type="radio" name="FlickrImport_size" value="pixel"<?php echo $sizePixel; ?> />
                Let Pixelpost generate thumbnail
            </p>

            <p>Choose how to import photo's comments:</p>
            <p>
                <input type="radio" name="FlickrImport_comments" value="yes-publish"<?php echo $commentsYesPub; ?> />
                Import and publish comments
                <br />
                <input type="radio" name="FlickrImport_comments" value="yes"<?php echo $commentsYes; ?> />
                Import and moderate comments
                <br />
                <input type="radio" name="FlickrImport_comments" value="no"<?php echo $commentsNo; ?> />
                Don't import comment
            </p>

            <p>Do you allow HTML in your comment:</p>
            <p>
                <input type="radio" name="FlickrImport_html" value="yes"<?php echo $htmlYes; ?> />
                Yes
                <br />
                <input type="radio" name="FlickrImport_html" value="no"<?php echo $htmlNo; ?> />
                No, the HTML tags are stripped
            </p>

            <p>
            <?php
            // list of photoset
            foreach($user->getPhotosetList()->getPhotosets() as $photoset)
            {
                $pId    = $photoset->getId();
                $count  = $photoset->getPhotoCount();
                $title  = $photoset->getTitle();
                $url    = $photoset->buildUrl();
                $isSync = (isset($sync[$pId]) ? ' checked="checked"' : '');

                echo '<input type="checkbox" name="FlickrImport_photosets[]" value="' . $pId . '"' . $isSync . ' /> '
                   . '<a href="' . $url . '" taget="_blank">' . $title . '</a> (' . $count . ' photos)<br />';
            }
            ?>
            </p>

            <p>
                <input type="submit" value="Save" />
            </p>
        </form>
    </div>
</div>

<div id="submenu">
    <div class="jcaption">Synchronize Your Flickr account</div>
    <div class="content">
        <p>
            <a href="<?php echo $webUrl; ?>addons/FlickrImport/sync.php" target="_blank">Click here to import your Flickr's photo</a>
            <br />
            or add the <em><?php echo dirname(__FILE__); ?>/FlickrImport/sync.php</em> to your crontab.
        </p>
    </div>
</div>
